Bug 840280 - Improving import vm/tempate look & feel
Improving import vm/tempate look & feel
Status: CLOSED ERRATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.1.0
Assigned To: Gilad Chaplik
Leonid Natapov
storage
: Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-15 06:39 EDT by Gilad Chaplik
Modified: 2015-09-22 09 EDT (History)
11 users (show)

See Also:
Fixed In Version: SI17
Doc Type: Enhancement
Doc Text:
--no tech note required
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:16:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
import vm (122.18 KB, image/jpeg)
2012-07-15 06:40 EDT, Gilad Chaplik
no flags Details
'vm already exist' dialog (24.69 KB, image/jpeg)
2012-07-15 06:41 EDT, Gilad Chaplik
no flags Details
'vm already exist' dialog (24.58 KB, image/png)
2012-07-15 07:52 EDT, Gilad Chaplik
no flags Details

  None (edit)
Description Gilad Chaplik 2012-07-15 06:39:36 EDT
A better looking and more intuitive view for importing vm/template dialogs.

attached design screenshots.
Comment 1 Gilad Chaplik 2012-07-15 06:40:18 EDT
Created attachment 598290 [details]
import vm
Comment 2 Gilad Chaplik 2012-07-15 06:41:03 EDT
Created attachment 598291 [details]
'vm already exist' dialog
Comment 3 Itamar Heim 2012-07-15 07:33:15 EDT
I fail on opening 'vm already exist dialog' with "Error interpreting JPEG image file (Not a JPEG file: starts with 0x89 0x50)"
Comment 4 Gilad Chaplik 2012-07-15 07:52:25 EDT
Created attachment 598301 [details]
'vm already exist' dialog
Comment 6 Yaniv Kaul 2012-07-15 14:11:17 EDT
Some comments on the proposed changes:
1. Name -> name
2. VM(s) -> VM

3. Title: 'Import Virtual Machine Conflict' (  VM(s) -> Virtual Machine  )

4. Why are we using 'Extended' when in the rest of the UI we use 'Advanced' ?

5. 'Clone all VMs' -> 'Clone all Virtual Machines'

6. 'Suffix' -> 'Append suffix'
Comment 8 Gilad Chaplik 2012-07-26 07:45:46 EDT
IMHO, the extended panel (with clone all VMs) should be removed if we go for another dialog.
Comment 10 Gilad Chaplik 2012-08-19 05:26:50 EDT
pushed upstream (http://gerrit.ovirt.org/#/c/7313/) - currently without import template.
Comment 12 Leonid Natapov 2012-09-06 10:41:06 EDT
si17. fixed.
Comment 15 errata-xmlrpc 2012-12-04 14:16:26 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1506.html

Note You need to log in before you can comment on or make changes to this bug.